--Create expanded "TechInit" TABLE based on the Support tables that begin with "expBldg"
DROP TABLE IF EXISTS support."expTechInit";
CREATE TABLE support."expTechInit"
 AS (
(SELECT "BldgType",
        "VintageYear" as "BldgVint",
        "HvacType" as "BldgHVAC",
        "expBldgLoc"."BldgLoc",
        "TechID"
FROM support."TechInit"
JOIN support."expBldgLoc" on "expBldgLoc"."CZ" = "TechInit"."CZ"
WHERE "TechInit"."BldgType" <> 'Any'
  and "TechInit"."VintageYear" <> 'Any'
  and "TechInit"."HvacType" <> 'Any'
)
UNION
(SELECT "TechInit"."BldgType",
        "expBldgVint"."BldgVint",
        "expBldgHVAC"."BldgHVAC",
        "expBldgLoc"."BldgLoc",
        "TechID"
FROM support."TechInit"
JOIN support."expBldg2VintHVAC" on "expBldg2VintHVAC"."BldgType" = "TechInit"."BldgType"
JOIN support."expBldgVint" on "expBldgVint"."VintType" = "expBldg2VintHVAC"."VintType"
JOIN support."expBldgHVAC" on "expBldgHVAC"."HVACType" = "expBldg2VintHVAC"."HVACType"
JOIN support."expBldgLoc" on "expBldgLoc"."CZ" = "TechInit"."CZ"
WHERE "TechInit"."BldgType" <> 'Any'
  and "TechInit"."VintageYear" = 'Any'
  and "TechInit"."HvacType" = 'Any'
)
UNION
(SELECT "TechInit"."BldgType",
        "VintageYear" as "BldgVint",
        "expBldgHVAC"."BldgHVAC",
        "expBldgLoc"."BldgLoc",
        "TechID"
FROM support."TechInit"
JOIN support."expBldg2VintHVAC" on "expBldg2VintHVAC"."BldgType" = "TechInit"."BldgType"
JOIN support."expBldgHVAC" on "expBldgHVAC"."HVACType" = "expBldg2VintHVAC"."HVACType"
JOIN support."expBldgLoc" on "expBldgLoc"."CZ" = "TechInit"."CZ"
WHERE "TechInit"."BldgType" <> 'Any'
  and "TechInit"."VintageYear" <> 'Any'
  and "TechInit"."HvacType" = 'Any'
)
UNION
(SELECT "TechInit"."BldgType",
        "expBldgVint"."BldgVint",
        "HvacType" as "BldgHVAC",
        "expBldgLoc"."BldgLoc",
        "TechID"
FROM support."TechInit"
JOIN support."expBldg2VintHVAC" on "expBldg2VintHVAC"."BldgType" = "TechInit"."BldgType"
JOIN support."expBldgVint" on "expBldgVint"."VintType" = "expBldg2VintHVAC"."VintType"
JOIN support."expBldgLoc" on "expBldgLoc"."CZ" = "TechInit"."CZ"
WHERE "TechInit"."BldgType" <> 'Any'
  and "TechInit"."VintageYear" = 'Any'
  and "TechInit"."HvacType" <> 'Any'
)

UNION
(SELECT "expBldgType"."BldgType",
        "expBldgVint"."BldgVint",
        "expBldgHVAC"."BldgHVAC",
        "expBldgLoc"."BldgLoc",
        "TechID"
FROM support."TechInit"
JOIN support."expBldgType" on "TechInit"."Sector"= "expBldgType"."Sector"
JOIN support."expBldg2VintHVAC" on "expBldg2VintHVAC"."BldgType" = "expBldgType"."BldgType"
JOIN support."expBldgVint" on "expBldgVint"."VintType" = "expBldg2VintHVAC"."VintType"
JOIN support."expBldgHVAC" on "expBldgHVAC"."HVACType" = "expBldg2VintHVAC"."HVACType"
JOIN support."expBldgLoc" on "expBldgLoc"."CZ" = "TechInit"."CZ"
WHERE "TechInit"."BldgType" = 'Any'
  and "TechInit"."VintageYear" = 'Any'
  and "TechInit"."HvacType" = 'Any'
)
UNION
(SELECT "expBldgType"."BldgType",
        "VintageYear" as "BldgVint",
        "expBldgHVAC"."BldgHVAC",
        "expBldgLoc"."BldgLoc",
        "TechID"
FROM support."TechInit"
JOIN support."expBldgType" on "TechInit"."Sector"= "expBldgType"."Sector"
JOIN support."expBldg2VintHVAC" on "expBldg2VintHVAC"."BldgType" = "expBldgType"."BldgType"
JOIN support."expBldgHVAC" on "expBldgHVAC"."HVACType" = "expBldg2VintHVAC"."HVACType"
JOIN support."expBldgLoc" on "expBldgLoc"."CZ" = "TechInit"."CZ"
WHERE "TechInit"."BldgType" = 'Any'
  and "TechInit"."VintageYear" <> 'Any'
  and "TechInit"."HvacType" = 'Any'
)
UNION
(SELECT "expBldgType"."BldgType",
        "expBldgVint"."BldgVint",
        "HvacType" as "BldgHVAC",
        "expBldgLoc"."BldgLoc",
        "TechID"
FROM support."TechInit"
JOIN support."expBldgType" on "TechInit"."Sector"= "expBldgType"."Sector"
JOIN support."expBldg2VintHVAC" on "expBldg2VintHVAC"."BldgType" = "expBldgType"."BldgType"
JOIN support."expBldgVint" on "expBldgVint"."VintType" = "expBldg2VintHVAC"."VintType"
JOIN support."expBldgLoc" on "expBldgLoc"."CZ" = "TechInit"."CZ"
WHERE "TechInit"."BldgType" = 'Any'
  and "TechInit"."VintageYear" = 'Any'
  and "TechInit"."HvacType" <> 'Any'
)
UNION
(SELECT "expBldgType"."BldgType",
        "VintageYear" as "BldgVint",
        "HvacType" as "BldgHVAC",
        "expBldgLoc"."BldgLoc",
        "TechID"
FROM support."TechInit"
JOIN support."expBldgType" on "TechInit"."Sector"= "expBldgType"."Sector"
JOIN support."expBldgLoc" on "expBldgLoc"."CZ" = "TechInit"."CZ"
WHERE "TechInit"."BldgType" = 'Any'
  and "TechInit"."VintageYear" <> 'Any'
  and "TechInit"."HvacType" <> 'Any'
)
)